import { Component, OnInit } from "@angular/core";
import { Router } from "@angular/router";
import { Location } from "@angular/common";
import * as Dialogs from "ui/dialogs";
import { CouchbaseInstance } from "../../couchbase";

@Component({
    selector: "sources",
    templateUrl: "./components/sources/sources.component.html",
    styleUrls: ["./components/sources/sources.component.css"]
})
export class SourcesComponent implements OnInit {

    private database: any;
    public sourceList: Array<any>;

    public constructor(private router: Router, private location: Location, private couchbaseInstance: CouchbaseInstance) {
        this.sourceList = [];
        this.database = this.couchbaseInstance.getDatabase();
    }

    public ngOnInit() {
        var rows = this.database.executeQuery("sources", {descending: false});
        this.sourceList = rows;
    }

    public add() {
        Dialogs.prompt("Input an RSS URL", "http://").then((result) => {
            if(result.result == true && result.text != "http://" && result.text != "https://") {
                this.database.createDocument({
                    "type": "source",
                    "link": result.text
                });
                this.sourceList.push({"type": "source", "link": result.text});
            }
        });
    }

    public tapActions(item: any) {
        Dialogs.action("Choose an Action", "Cancel", ["Delete"]).then((result) => {
            if(result == "Delete") {
                this.database.deleteDocument(item._id);
                this.location.back();
            }
        });
    }

}